primeDLRS(1)

NAME
primeDLRS, primeGSRf - Guest-in-host tree reconciliation tool

SYNOPSIS
primeDLRS [OPTIONS] seqfile hostfile [gsfile]

DESCRIPTION

Guest-in-host tree reconciliation tool, enabling analysis of e.g. guest tree topologies, reconciliation properties and duplication-loss rates. Based on a Bayesian MCMC framework using the underlying GSR model. The old program name, primeGSRf, is still available as a symlink to primeDLRS.

1)  the guest tree topology and its divergence times are modelled with a duplication-loss process in accordance with the Gene Evolution Model (GEM).

2)  sequence evolution is modelled with a user-defined substitution model.

3)  sequence evolution rate variation over guest tree edges (relaxed molecular clock) are modelled with iid values from a user-selected distribution.

4)  sequence evolution rate variation over sites (positions) are modelled according to a discretized Gamma distribution.

The implementation uses a discretization of the host tree to perform its computations. Please review available options, as you will need to change default settings. Option -r may be useful to avoid numeric issues due to scaling.

seqfile is a file with aligned sequences for guest tree leaves.

hostfile is a PrIME Newick file with host tree incl. divergence times. Leaves must have time 0 and root have time > 0.

gsfile is a tab-delimited file relating guest tree leaves to host tree leaves if info not included in hostfile.

OPTIONS

-h, -u, -?
    Display help (this text).

-o FILE
    Output filename. Defaults to stderr.

-s UNSIGNED_INT
    Seed for pseudo-random number generator. Defaults to random seed.

-i UNSIGNED_INT
    Number of iterations. Defaults to .

-t UNSIGNED_INT
    Thinning, i.e. sample every <value>-th iteration. Defaults to .

-w UNSIGNED_INT
    Output diagnostics to stderr every <value>-th sample. Defaults to .

-q  Do not output diagnostics. Non-quiet by default.

-m MCMC|PDHC|PD
    Execution type (MCMC, posterior density hill-climbing from initial values, or just initial posterior density). Defaults to .

-Sm UniformAA|JC69|F81|JTT|UniformCodon|ArveCodon
    Substitution model. by default.

-Su DNA|AminoAcid|Codon <Pi=float1 float2 ... floatn> <R=float1 float2 ...float(n*(n-1)/2)>
    User-defined substitution model. The size of Pi and R must fit data type (DNA: n=4, AminoAcid: n=20, Codon: n=62). R is given as a flattened upper triangular matrix. Don't use both option -Su and -Sm.

-Sn UNSIGNED_INT
    Number of steps of discretized Gamma-distribution for sequence evolution rate variation over sites. Defaults to (no variation).

-Ed Gamma|InvG|LogN|Uniform
    Distribution for iid sequence evolution rate variation over guest tree edges. Defaults to (not to confuse with -Sn).

-Ep FLOAT FLOAT
    Initial mean and variance of sequence evolution rate. Defaults to simple rule-of-thumb based on host tree times.

-Ef Fix mean and variance of sequence evolution rate. Non-fixed by default.

-Gi FILE
    Filename with initial guest tree topology.

-Gg Fix initial guest tree topology, i.e. perform no branch-swapping. Non-fixed by default.

-Gl Fix initial guest tree edge lengths (in addition to topology), i.e. fix the edge lengths. Non-fixed by default.

-Bp FLOAT FLOAT
    Initial duplication and loss rates. Defaults to and .

-Bf Fix initial duplication and loss rates. Non-fixed by default.

-Bt FLOAT
    Override time span of edge above root in host tree. If the value is <=0, the span will be set to equal the root-to-leaf time. Defaults to value in host tree file. See also option -Dtt.

-Dt FLOAT
    Approximate discretization timestep. Set to 0 to divide every edge in equally many parts (see -Di). Defaults to . See -Dtt for edge above root.

-Di UNSIGNED_INT
    Minimum number of parts to slice each edge in. If -Dt is set to 0, this becomes the exact number of parts. Minimum 2. Defaults to . See -Dtt for edge above root.

-Dtt UNSIGNED_INT
    Override number of discretization points for edge above root in host tree. By default, irrespective of time span, this is set to the number of points for a (hypothetical) root-to-leaf edge

-r  Rescale the host tree so that the root-to-leaf time equals 1.0. All inferred parameters will refer to the new scale. Off by default. Note that discretization parameters are NOT rescaled.

-Z  Do not print elapsed wall time and CPU time

-W  Do not print the command line

-debuginfo
    Show misc. info to stderr before iterating. Not shown by default.

EXIT STATUS

0   Successful program execution.

1   Some error occurred

URL

The prime-phylo home page: http://prime.sbc.su.se

SEE ALSO
primeDTLSR(1), primeGEM(1), showtree(1), chainsaw(1), reconcile(1), reroot(1), tree2leafnames(1), treesize(1)